/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/core/core.hpp>

namespace nostalgia::core {

struct GlfwImplData {
	struct GLFWwindow *window = nullptr;
	int64_t startTime = 0;
	UpdateHandler eventHandler = nullptr;
	KeyEventHandler keyEventHandler = nullptr;
	uint64_t wakeupTime = 0;
	uint64_t keysDown = 0;
};

}
